Bug 39377

Summary: ListView.Footer not update iOS
Product: Forms Reporter: Raphael <raphaelcr93>
Component: iOSAssignee: Bugzilla <bugzilla>
Status: VERIFIED FIXED    
Severity: normal CC: bugzilla.xamarin, jas, parmendrak, sahou
Priority: Normal    
Version: 2.0.1   
Target Milestone: ---   
Hardware: PC   
OS: Windows   
Tags: ac Is this bug a regression?: ---
Last known good build:
Attachments: Test Case

Description Raphael 2016-03-04 20:23:12 UTC
Created attachment 15271 [details]
Test Case

When setting a custom footer in iOS, after updating it, it do not appears anymore.

A topic in Xamarin Forms was opened: https://forums.xamarin.com/discussion/58822/system-invalidcastexception-object-must-implement-iconvertible-xamarin-footer-ios#latest

And a test project is attached.

After changing the FooterTemplate or even just the footer it do not works as expected.
Comment 1 Jason Smith [MSFT] 2016-03-14 06:41:03 UTC
Do you think you could attempt to dramatically simplify this test case? I have fixed the issue however I would like to turn this into a regression test to ensure we never screw this up in the future.

That said the current test is way too complex.
Comment 2 Jason Smith [MSFT] 2016-03-16 09:44:58 UTC
Should be fixed in 2.2.0-pre1
Comment 3 Parmendra Kumar 2016-04-07 12:46:20 UTC
I have checked this issue with Xamarin.Forms 2.2.0-pre1 and its working fine.

Hence closing this issue.